// EyeBot Demo Program: Encoders, T. Bräunl, Nov. 2017
#include "eyebot.h"

int main()
{ int a, b;

  LCDMenu("", "", "", "END");
  ENCODERReset(1);
  ENCODERReset(2);
  LCDPrintf("Check Encoders - Push Robot!\n");

  while (KEYRead() != KEY4)
  { a = -ENCODERRead(1);
    b =  ENCODERRead(2);
    LCDSetPrintf(3,0, "L %5d  R %5d   ", a, b);
  }
}
